---
title: pydo.genai.get_model_evaluation_preset()
description: Retrieve Model Evaluation Preset
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/genai/get_model_evaluation_preset/
last_updated: "2026-08-03"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.genai.get_model_evaluation_preset()

Generated on 3 Aug 2026 from `pydo` version [`v0.40.0`](https://github.com/digitalocean/pydo/releases/tag/v0.40.0v0.40.0)

## Usage

```python
client.genai.get_model_evaluation_preset(
    eval_preset_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To retrieve a saved model evaluation preset, send a GET request to `/v2/genai/model_evaluation_presets/{eval_preset_uuid}`.

## Parameters

`eval_preset_uuid` string required

UUID of the evaluation preset.

## Response Example

## Show Response Example

```json
{
  "preset": {
    "candidate_inference_config": {
      "max_tokens": 123,
      "stop_token": "example string",
      "system_prompt": "example string",
      "temperature": 123
    },
    "candidate_model_name": "example name",
    "candidate_model_source": "CANDIDATE_MODEL_SOURCE_SERVERLESS",
    "candidate_model_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "candidate_system_prompt": "2023-01-01",
    "created_at": "2023-01-01T00:00:00Z",
    "dataset_name": "example name",
    "dataset_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "eval_preset_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "judge_model_name": "example name",
    "judge_model_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "metrics": [],
    "name": "example name",
    "saved_sections": [
      "PRESET_SAVE_SECTION_CANDIDATE",
      "PRESET_SAVE_SECTION_METRICS"
    ],
    "star_metric": {
      "metric_uuid": "123e4567-e89b-12d3-a456-426614174000",
      "name": "example name",
      "success_threshold": 123,
      "success_threshold_pct": 123
    }
  }
}
```

## More Information

See [`/v2/gen-ai/model_evaluation_presets/{eval_preset_uuid}`](https://docs.digitalocean.com/reference/api/reference/gradientai-platform/index.html.md#genai_get_model_evaluation_preset) in the API reference for additional detail on responses, headers, parameters, and more.